# network_client.h File Reference

Client part of the network protocol. More...

`#include "network_internal.h"`

Go to the source code of this file.

## Data Structures
class | ClientNetworkGameSocketHandler
| Class for handling the client side of the game connection. More...
## Typedefs
typedef ClientNetworkGameSocketHandler | MyClient
## Functions
void | NetworkClient_Connected ()
void | NetworkClientSetCompanyPassword (const char *password)
| Set/Reset company password on the client side.
## Variables
CompanyID | _network_join_as
| Who would we like to join as.
const char * | _network_join_server_password
| Login password from -p argument.
const char * | _network_join_company_password
| Company password from -P argument.

## Detailed Description

Client part of the network protocol.

Definition in file network_client.h.

## Function Documentation

void NetworkClientSetCompanyPassword | ( | const char * | password | ) |

Set/Reset company password on the client side.

Parameters:

  | password | Password to be set.

Definition at line 1202 of file network_client.cpp.

Referenced by NetworkChangeCompanyPassword().

## Variable Documentation

CompanyID _network_join_as

Who would we like to join as.

Definition at line 289 of file network_client.cpp.